Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.pmd.dcd.graph
Class MemberNode<S extends MemberNode<S,T>,T extends java.lang.reflect.Member>

    java.lang.Object
      net.sourceforge.pmd.dcd.graph.MemberNode<S,T>

All Implemented Interfaces:
  java.lang.Comparable<S>, NodeVisitorAcceptor

Direct Known Subclasses:
  ConstructorNode, FieldNode, MethodNode

    public abstract class MemberNode<S extends MemberNode<S,T>,T extends java.lang.reflect.Member>

extends java.lang.Object
implements NodeVisitorAcceptor, java.lang.Comparable<S>

Represents a Class Member in a UsageGraph.

Field Summary
`protected ClassNode` | `classNode`
`protected java.lang.String` | `desc`
`protected java.lang.String` | `name`

Constructor Summary
`MemberNode(ClassNode classNode, java.lang.String name, java.lang.String desc)`

Method Summary
`java.lang.Object` | `accept(NodeVisitor visitor, java.lang.Object data)`
`void` | `addUse(MemberNode use)`
`void` | `addUser(MemberNode user)`
`abstract boolean` | `equals(java.lang.Object that)`
`boolean` | `equals(S that)`
`boolean` | `equals(java.lang.String name, java.lang.String desc)`
`ClassNode` | `getClassNode()`
`java.lang.String` | `getDesc()`
`abstract T` | `getMember()`
`java.lang.String` | `getName()`
`java.util.List<MemberNode>` | `getUsers()`
`java.util.List<MemberNode>` | `getUses()`
`int` | `hashCode()`
`java.lang.String` | `toString()`
`java.lang.String` | `toStringLong()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Field Detail

### classNode

    protected final ClassNode classNode

### name

    protected final java.lang.String name

### desc

    protected final java.lang.String desc

Constructor Detail

### MemberNode

    public MemberNode(ClassNode classNode,
                      java.lang.String name,
                      java.lang.String desc)

Method Detail

### accept

    public java.lang.Object accept(NodeVisitor visitor,
                                   java.lang.Object data)

  Specified by:
    `accept` in interface `NodeVisitorAcceptor`

### getClassNode

    public ClassNode getClassNode()

### getName

    public java.lang.String getName()

### getDesc

    public java.lang.String getDesc()

### getMember

    public abstract T getMember()

### addUse

    public void addUse(MemberNode use)

### getUses

    public java.util.List<MemberNode> getUses()

### addUser

    public void addUser(MemberNode user)

### getUsers

    public java.util.List<MemberNode> getUsers()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toStringLong

    public java.lang.String toStringLong()

### equals

    public abstract boolean equals(java.lang.Object that)

  Overrides:
    `equals` in class `java.lang.Object`

### equals

    public boolean equals(S that)

### equals

    public boolean equals(java.lang.String name,
                          java.lang.String desc)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 InfoEther. All Rights Reserved.